typedef struct tDKWAVEFORM
{
	unsigned short	wFormatTag;        /* format type */
	unsigned short	nChannels;         /* number of channels (i.e. mono, stereo...) */
	unsigned long	nSamplesPerSec;    /* sample rate */
	unsigned long	nAvgBytesPerSec;   /* for buffer estimation */
	unsigned short	nBlockAlign;       /* block size of data */
	unsigned short	wBitsPerSample;    /* Number of bits per sample of mono data */
	unsigned short	cbSize;            /* The count in bytes of the size of
									extra information (after cbSize) */
	unsigned short	wSamplesPerBlock;

} DKWAVEFORM;

#define DCK_DEFAULT_READSIZE 0
#define DCK_DEFAULT_BUFFSIZE 0

typedef unsigned long DUCK_HANDLE;

DKWAVEFORM *getAudioInfo(DUCK_HANDLE dckHnd,int *lNumChannels, int *lSamplesPerSec, int *lBytesPerSec, int *lwFormat);
void getFrameRates(DUCK_HANDLE dckHnd,int *lGlobalFrameRate, int *lGlobalBPF,int *prebuffer);

int DKAVIFileOpen(const char *AVIFileName,DUCK_HANDLE *dckHnd, int bfrSize,int preload,int startFrame);
void DKAVIFileClose(DUCK_HANDLE dckHnd);

int getNextFrame(DUCK_HANDLE dckHnd,void **data,unsigned long *frameLength);
int getNextAudio(DUCK_HANDLE dckHnd, void **data,unsigned long *audioLength );

void releaseChunk(DUCK_HANDLE dckHnd,int chunkIndex,int cleanUp);        
int fillBuffer(DUCK_HANDLE dckHnd, int maxToRead, int skip);
int setMaxRead(DUCK_HANDLE dckHnd, int bytesPerTimeFrame,int mods);

/* decompression protos */

void *decodeFrame(void *data, unsigned long *width, unsigned long *height);
void drawFrame(unsigned char *comp,unsigned char *dest,long *width, long *height);

