/*******************************************************************************\
*                                                                              *
* dukmem.c -   memory management code for SegaSaturn TrueMotion/S player       *
*               Copyright (c) 1994,95, The Duck Corp. All rights reserved.     * 
*                                                                              *
*                 written by:       Eric Ameres                                *
*                 Version:      .985                                           *
*                 Created:       03/07/95                                      *
*                                                                              *
********************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
                     
#include <sega_mem.h>
#include <sega_dbg.h>

#include "duksega.h"

long amountUsed = 0;

void *duck_malloc(size_t size)
{   
	void *temp = MEM_Malloc(size);
	
	amountUsed += size;
	
#if DEBUG
	DBG_Printf("allocated %d bytes at %X\n",size, temp);
#endif
	return temp;
}

void *duck_calloc(size_t n,size_t size)
{   
	void *temp = MEM_Calloc(n, size);
#if DEBUG
	DBG_Printf("callocated %d bytes at %X\n",size*n, temp);
#endif
	amountUsed += size;
	
	return temp;
}

void duck_free(void *old_blk)
{  
#if DEBUG
	DBG_Printf("freeing %X\n",old_blk);
#endif
	MEM_Free(old_blk);
	amountUsed = 0;	
}
